/*
 * Copyright (c) eHealth
 */

package be.ehealth.businessconnector.test.genericasync.service.impl;

import be.ehealth.businessconnector.genericasync.service.impl.GenAsyncServiceImpl;
import org.junit.Assert;
import org.junit.Test;

import java.io.InputStream;

/**
 * Unit test {@link GenAsyncServiceImpl}
 *
 * @author EHP
 */
public class GenAsyncServiceImplTest {

    @Test
    public void testXSDPresent() throws Exception {
        InputStream in = GenAsyncServiceImplTest.class.getResourceAsStream(GenAsyncServiceImpl.GENASYNC_XSD_V1);
        Assert.assertNotNull(in);
        in = GenAsyncServiceImplTest.class.getResourceAsStream(GenAsyncServiceImpl.GENASYNC_XSD_V1_3);
        Assert.assertNotNull(in);
    }
}